# macop.algorithms.multi.MOSubProblem

MOEAD sub problem algorithm class

Classes

`MOSubProblem`(_index, _weights, _initalizer, …) | Specific MO sub problem used into MOEAD

class `macop.algorithms.multi.MOSubProblem.``MOSubProblem`(_index, _weights, _initalizer, _evaluator, _operators, _policy, _validator, _maximise=True, _parent=None)

  Specific MO sub problem used into MOEAD

  `index`

    {int} – sub problem index

  `weights`

    {[float]} – sub problems objectives weights

  `initalizer`

    {function} – basic function strategy to initialize solution

  `evaluator`

    {function} – basic function in order to obtained fitness (mono or multiple objectives)

  `operators`

    {[Operator]} – list of operator to use when launching algorithm

  `policy`

    {Policy} – Policy class implementation strategy to select operators

  `validator`

    {function} – basic function to check if solution is valid or not under some constraints

  `maximise`

    {bool} – specify kind of optimization problem

  `currentSolution`

    {Solution} – current solution managed for current evaluation

  `bestSolution`

    {Solution} – best solution found so far during running algorithm

  `callbacks`

    {[Callback]} – list of Callback class implementation to do some instructions every number of evaluations and load when initializing algorithm

  `run`(_evaluations)

    Run the local search algorithm

    Parameters

      _evaluations – {int} – number of evaluations

    Returns

      {Solution} – best solution found